%global pypi_name argon2-cffi

Name:           python-%{pypi_name}
Version:        19.1.0
Release:        1%{?dist}
Summary:        The secure Argon2 password hashing algorithm

License:        MIT
URL:            https://argon2-cffi.readthedocs.io/
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/argon2_cffi-%{version}.tar.gz
 
BuildRequires:  python3-devel
BuildRequires:  gcc
BuildRequires:  pkgconfig(libargon2)
BuildRequires:  python3dist(cffi)
BuildRequires:  python3dist(hypothesis)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(sphinx)

%description
 CFFI-based Argon2 Bindings for Python

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(cffi) >= 1.0.0
Requires:       python3dist(hypothesis)
Requires:       python3dist(pytest)
Requires:       python3dist(six)

%description -n python3-%{pypi_name}
 CFFI-based Argon2 Bindings for Python .. image::

%package -n python-%{pypi_name}-doc
Summary:        argon2-cffi documentation
%description -n python-%{pypi_name}-doc
Documentation for argon2-cffi

%prep
%autosetup -n argon2_cffi-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
export ARGON2_CFFI_USE_SYSTEM=1
%py3_build
# generate html docs 
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
export k='not test_argument_ranges'
%{__python3} setup.py test


%files -n python3-%{pypi_name}
%license LICENSE docs/license.rst extras/libargon2/LICENSE
%doc README.rst extras/libargon2/README.md
%{python3_sitearch}/argon2
%{python3_sitearch}/argon2_cffi-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE docs/license.rst extras/libargon2/LICENSE

%changelog